Subject: some attribute_def

From: Yan Mi <[email-masked]>
Date: Fri, 10 Jan 1997 17:17:30 +0800 (CST)

Hi,ZhangGuansong,
	I am reading your code of transG.I have some questions. Can you give
me some clues to understand your code more quickly?
	In anls_att.h,
	Alignment_def:what's the use of private data:local,dad,tmb,tmbdad?
	Template_def: If I use the member function getStart .can I get 
the lbound of the template? and "getEnd" means ubound?
	Forall_index_def: I think the index triple is often expression, not 
variable. but why do you define lb,ub and step as symbol ,not expression?
	I need know more about forall_reference.stride,offset are all 
defind as two dimensions array:[MAX_ALIGN_DIM][MAX_INDEX_DIM]. I 
guess MAX_INDEX_DIM mean the max_dim of forall stmt, but what 
does MAX_ALIGN_DIM mean? 
	For example:	real a(10,10,10)
			align a(i,j,:) with t (i,j)
			forall(i=1:4;j=2:4)
				a(2*i+1,3,3*j-5)=i+j
	what's the storage of the stride and offset of "a"? And what is 
its shape like?
	Thank you!
Yanmi